Bug 773662 - Unable to view resource or group metric schedules
Unable to view resource or group metric schedules
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
Depends On:
Blocks: 694221
  Show dependency treegraph
Reported: 2012-01-12 09:16 EST by John Sanda
Modified: 2013-08-31 06:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-31 06:14:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Sanda 2012-01-12 09:16:36 EST
Description of problem:
In the feature/gwt-upgrade branch, I get the following error in the browser when I go to view metric schedules for a resource or for a compatible group:

Failed to draw Table [HLayout{ID: "isc_SchedulesView_0", width: 1149, height: 668, overflow: "hidden", members: Array[1], position: "absolute", className: "normal", top: -9999, vertical: false, children: Array[1], parentElement: [VLayout ID:isc_SubTabLayout_3], topElement: [VLayout ID:isc_CoreGUI_RootCanvas_0], tabIndex: 1867, cacheOffsetCoords: true, zIndex: 201476, memberSizes: Array[1], }].

I produced this in Firefox 3.6.17 and it was initially produced in QE's test automation run.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Make sure you have some resources in inventory that support monitoring such as a platform or agent.
2. Go to the Monitoring tab for the resource.
3. Click on the Schedules subtab.
Actual results:
You will see the error listed above.

Expected results:
The schedules view should render without error.

Additional info:
Comment 1 John Sanda 2012-01-12 09:24:00 EST
When I run in GWT dev mode, here is the Java exception that I see:

00:04:45.446 [ERROR] (ErrorHandler.java:60) 2012-01-12 09:25:32,709 [WARN ] Failed to draw Table [HLayout{ID: "isc_SchedulesView_0", width: 1149, height: 644, overflow: "hidden", members: Array[1], position: "absolute", className: "normal", top: -9999, vertical: false, children: Array[1], parentElement: [VLayout ID:isc_SubTabLayout_3], topElement: [VLayout ID:isc_CoreGUI_RootCanvas_0], tabIndex: 3938, cacheOffsetCoords: true, zIndex: 205670, memberSizes: Array[1], }]. 
java.lang.NullPointerException: null 	at org.rhq.enterprise.gui.coregui.client.inventory.common.AbstractMeasurementScheduleListView.configureTable(AbstractMeasurementScheduleListView.java:62) 	at org.rhq.enterprise.gui.coregui.client.components.table.Table.onDraw(Table.java:349) 	at com.smartgwt.client.widgets.BaseWidget.rendered(BaseWidget.java:244) 	at sun.reflect.GeneratedMethodAccessor41.invoke(Unknown Source) 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 	at java.lang.reflect.Method.invoke(Method.java:597) 	at com.google.gwt.dev.shell.MethodAdaptor.invoke(MethodAdaptor.java:103) 	at com.google.gwt.dev.shell.MethodDispatch.invoke(MethodDispatch.java:71) 	at com.google.gwt.dev.shell.OophmSessionHandler.invoke(OophmSessionHandler.java:172) 	at com.google.gwt.dev.shell.BrowserChannelServer.reactToMessages(BrowserChannelServer.java:292) 	at com.google.gwt.dev.shell.BrowserChannelServer.processConnection(BrowserChannelServer.java:546) 	at com.google.gwt.dev.shell.BrowserChannelServer.run(BrowserChannelServer.java:363) 	at java.lang.Thread.run(Thread.java:662)
Comment 2 Jay Shaughnessy 2012-01-13 20:21:34 EST
commit d075ae47ffd5036a728131bf05b8bdb360d1835f

Reorganize this dated impl with an approach more consistent with
more recent views/datasources.  The old impl does not seem to
play with the smartgwt upgrade wrt the startegy employed for
datasource/listgrid fields.
- consolidate several datasource classes into new SchedulesDataSource
  - uses a cleaner EntityContent approach, and favors ListGridFields
- move button-handling code into the view impl as opposed to the DS
  - as overrides of the abstract base view class
- rename the view classes to be consistent with other views
  - i.e. use Abstract/Resource/ResourceGroup/Template *SchedulesView prefixes
- Table changes:
  - fixed Table constructor to set autofetch correctly
  - moved contents.addMember(listGrid) up in onDraw(), closer to
    onInit where is is initialized
  - added a comment in onDraw about the potentially unnecessary
    guard against multiple invocations, and the effect it could have
    on calling addMember() in onInit()
- convert several deprecated ListGrid.getSelection() calls to
  the new ListGrid.getSelectedRecords() call
Comment 3 Jay Shaughnessy 2012-01-13 20:23:06 EST
oops, that should have been:

feature/gwt-upgrade commit: d075ae47ffd5036a728131bf05b8bdb360d1835f

not yet in master but ready for automation testing on that branch
Comment 4 Mike Foley 2012-01-16 11:13:57 EST
note for QE:  this needs to be verified on the smartGWT branch as part of the prequal for the merge into master of the smartGWT upgrade.
Comment 5 Mike Foley 2012-02-02 14:30:50 EST
i am going to send this back to dev.  the code is only submitted to the smartGWT branch ... and that branch has not been merged into master.  After it is in Master and ready to be QE'd ... please re-assign to ON_QA
Comment 6 John Sanda 2012-02-17 11:47:55 EST
This commit has been merged into master.
Comment 7 Jeeva Kandasamy 2012-04-17 07:03:15 EDT
Now able to view group metric schedules without any error.

Verified on:
Version: 4.4.0-SNAPSHOT
Build Number: ca5eecb
GWT Version: 2.4.0
SmartGWT Version: 3.0
Browser: Firefox ESR 10.0.3
Comment 8 Heiko W. Rupp 2013-08-31 06:14:33 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.